osdir.com


[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[openstack-dev][kuryr] Unable to connect to kube-apiserver


Hi,

It's RBAC issue - the account Kuryr uses to connect to K8s API doesn't
have enough privileges. You should create an account for Kuryr that
will have them. See [1] for the list of required ones. To login as
particular user use options to specify certificates [2].

An alternative is to deploy Kuryr services as pods on that K8s cluster.
In that case, a ServiceAccount definition with required privileges is
created and Kuryr pods get attached to it, so they get a token allowing
them to authenticate through that account. See [3] for more details on
that.

Thanks,
MichaÅ?

[1] https://opendev.org/openstack/kuryr-kubernetes/src/branch/master/devstack/lib/kuryr_kubernetes#L418-L456
[2] https://opendev.org/openstack/kuryr-kubernetes/src/branch/master/kuryr_kubernetes/config.py#L82-L87
[3] https://docs.openstack.org/kuryr-kubernetes/latest/installation/containerized.html

On Wed, 2019-12-18 at 09:10 +0000, Veera.reddy B wrote:
> Hi ,
> I install Kubernetes using â??kubeadm initâ??.
>  
> Followed below link to install â??kuryr-kubernetesâ??.
> https://docs.openstack.org/kuryr-kubernetes/latest/installation/manual.html#configure-kuryr-k8s-controller
>  
> Kube api configuration : /etc/kubernetes/manifests/kube-apiserver.yaml
> http://paste.openstack.org/show/787704/
>  
> kuryr config file : /etc/kuryr/kuryr.conf
> http://paste.openstack.org/show/787705/
>  
> Error while starting kuryr : #> kuryr-k8s-controller --config-file /etc/kuryr/kuryr.conf
> http://paste.openstack.org/show/787706/
>  
> Let me what I am missing in â??/etc/kuryr/kuryr.confâ??
>  
> Thanks,
> Veera.
>  
>